@import "../../../../../../../assets/css/constants.scss";


.mat-stepper-horizontal {
    margin-top: 8px;
  }
  
  .mat-form-field {
    margin-top: 16px;
    i {
      position: absolute;
      right: 5px;
      color: grey;
    }
  }

  form {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    mat-form-field {
        width: 45%;
    }
    .sub-list{
      width: 10% !important;
    }
  }
 ::ng-deep .mat-list-item-content{
    justify-content: space-evenly !important;
  }
  @media only screen and (max-width: 768px) {
    mat-form-field {
        width: 95% !important;
    }
  }

  .paymentList {
    mat-form-field {
      margin: 0 15px;
    }
  }

  .ms-item {
    width: 100%;
  }
  button {
    background-color: $SANED_BTN_PRIMARY !important;
    border-color: $SANED_BTN_PRIMARY !important;
    color: $PRIMARY_WHITE !important;
    font-size: 20px;
    font-weight: 400;
    height: 48px;
    max-height: 48px;
    margin: 20px auto;
    display: flex;
    width: 250px;
    justify-content: center;
    align-items: center;
  }

  .button-container {
      display: flex;
      justify-content: space-between;
      width: 100%;
  }

  mat-expansion-panel mat-form-field {
    margin: 0 10px;
  }
  table {
    width: 100%;
  }

  mat-list-item {
    height: "200px";
    width: "100%";
  }

  .reviewTable { 
    display: inline-block !important;
    width: 100% !important;
    margin: 25px 0px !important;
  }

  ::ng-deep .mat-step-header[aria-labelledby="disabled-review"] {
    pointer-events: none !important;
    cursor: not-allowed;
    opacity: 0.6;
  }
  .s-no {
    display: flex;
    flex-direction: column;
    width: 30px;
    mat-label {
    position: relative;
    top: -5px;
    left: -9px;
    color: grey;
    font-size: 13px;
    }
  }

  .items-list {
    width: 100%;
    mat-list-item {
      margin: 10px 0;
    }
  }
  .summary-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  h5 {
    margin-top: 10px;
  }
  width: 100%;
  .detail {
    display: flex;
    flex-direction: column;
    .summary-item {
      padding: 5px 0;
      display: flex;
      flex-direction: row;
      .key {
        width: 115px;
      }
    }
  }

}

.po-btn {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: stretch;
    flex-wrap: wrap;
    
}
.save-btn {
  background-color: $SANED_BTN_SECONDARY !important;
}
.summary-item {
    padding: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.button-item {
  width: 50px;
  display: flex;
}
.button-item-add {
  width: 100%;
  text-align: center;
  display: flex;
  justify-content: center;
}
.add-remove-item {
  width: 50px;
}

.add {
  outline: none;
  background-color: $SANED_BTN_SECONDARY !important;
}

.remove {
  outline: none;
  background-color: rgb(212, 69, 69) !important;
}
.update-qty {
    color: blue;
    text-decoration: underline;
    padding-left: 5px;
    cursor: pointer;
}

.text-btn {
  margin-top: 20px;
  padding: 10px;
}
.so-list {
  width: 100%;
  ul {
    list-style: none;
    padding: 0;
    margin: 10px;
    li {
      position: relative;
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      justify-content: space-around;
      border: 1px solid grey;
      padding: 15px;
      margin: 10px;
      mat-form-field {
        width: 23%;
      }
      .s-no {
        position: absolute;
        left: 1px;
        top: 2px;
        border: 1px solid black;
        border-radius: 13px;
        width: 25px;
        height: 25px;
        align-items: center;
        align-self: center;
        display: flex;
        justify-content: center;
      }
      .remove {
        background-color: rgb(212, 69, 69) !important;
        color: $PRIMARY_WHITE;
      }
    }
  }
}

input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}